// ==UserScript==
// @name      HV 装备着色与汉化
// @icon      https://e-hentai.org/favicon.ico
// @match     https://hentaiverse.org/*
// @match     http://alt.hentaiverse.org/*
// @match     *://forums.e-hentai.org/*
// @exclude   *://forums.e-hentai.org/index.php?act*
// @exclude   https://hentaiverse.org/equip/*
// @exclude   https://hentaiverse.org/isekai/equip/*
// @exclude   https://hentaiverse.org/?s=Character&ss=in
// @exclude   https://hentaiverse.org/isekai/?s=Character&ss=in
// @exclude   https://hentaiverse.org/?s=Character&ss=it
// @exclude   https://hentaiverse.org/isekai/?s=Character&ss=it
// @exclude   http://alt.hentaiverse.org/equip/*
// @exclude   http://alt.hentaiverse.org/isekai/equip/*
// @exclude   http://alt.hentaiverse.org/?s=Character&ss=in
// @exclude   http://alt.hentaiverse.org/isekai/?s=Character&ss=in
// @exclude   http://alt.hentaiverse.org/?s=Character&ss=it
// @exclude   http://alt.hentaiverse.org/isekai/?s=Character&ss=it
// @exclude   https://hentaiverse.org/?s=Battle&ss=iw*
// @exclude   https://hentaiverse.org/isekai/?s=Battle&ss=iw*
// @exclude   http://alt.hentaiverse.org/?s=Battle&ss=iw*
// @exclude   http://alt.hentaiverse.org/isekai/?s=Battle&ss=iw*
// @exclude   https://hentaiverse.org/?s=Forge&ss=up*
// @exclude   https://hentaiverse.org/isekai/?s=Forge&ss=up*
// @exclude   http://alt.hentaiverse.org/?s=Forge&ss=up*
// @exclude   http://alt.hentaiverse.org/isekai/?s=Forge&ss=up*
// @exclude   https://hentaiverse.org/?s=Bazaar&ss=es
// @exclude   https://hentaiverse.org/isekai/?s=Bazaar&ss=es
// @exclude   http://alt.hentaiverse.org/?s=Bazaar&ss=es
// @exclude   http://alt.hentaiverse.org/isekai/?s=Bazaar&ss=es

// @version   2.1
// ==/UserScript==

if (document.location.href.match(/ss=iw/)&&!document.getElementById('item_pane'))return
var hanhua=true;
closeH=0
var mhtml = document.body.innerHTML;
var html = document.body.innerHTML;
mainhh();
var xuanfu = document.createElement('div');

function mainhh(){


	if (document.location.href.match("https://hentaiverse.org/equip/")){
		var torep = new Array();
		var repby = new Array();
		html=eqmthh(document.body)
		document.body.innerHTML= html;

		return
	}
	var lklist = new Array();
	lklist = lklist.concat('Character&ss=in')   //背包0
	lklist = lklist.concat('Bazaar&ss=is')      //道具店1
	lklist = lklist.concat('Character&ss=eq')  //装备2
	lklist = lklist.concat('Bazaar&ss=es')    //装备店3
    lklist = lklist.concat('Bazaar&ss=ss')    //祭坛4
    lklist = lklist.concat('Character&ss=it') //战斗道具5
    lklist = lklist.concat('ss=iw') //iw汉化6
    lklist = lklist.concat('forums') //论坛汉化7
    lklist = lklist.concat('Bazaar&ss=lt')    //武器彩票8
    lklist = lklist.concat('Bazaar&ss=la')    //防具彩票9
    lklist = lklist.concat('Forge&ss=up&*') //强化10
    lklist = lklist.concat('Forge&ss=en&*') //附魔11
    lklist = lklist.concat('Forge') //锻造12
	for(i=0;i<lklist.length;i++){
		if(document.location.href.match(lklist[i])){
			temp=i;
			break;
		}
	}
	switch (temp){
		case 0:  //背包0
		var torep = new Array();
		var repby = new Array();
		try{
		itemdiv=document.querySelector("#inv_equip.cspp");
		equipdiv=document.querySelector("#inv_eqstor.cspp");
		equipdiv=eqmthh(equipdiv)
		itemdiv=eqmthh(itemdiv)
		document.querySelector("#inv_equip.cspp").innerHTML = itemdiv;
		document.querySelector("#inv_eqstor.cspp").innerHTML = equipdiv;
		}
		catch(e){}
		break;

		case 1: //道具店1
		var torep = new Array();
		var repby = new Array();
		item()
		equipdiv=document.querySelectorAll(".itemlist");
		temp=yhanhua(torep,repby,equipdiv[0].innerHTML)
		equipdiv[0].innerHTML=temp
		temp=yhanhua(torep,repby,equipdiv[1].innerHTML)
		equipdiv[1].innerHTML=temp
		break;

		case 2: //装备2

		var torep = new Array();
		var repby = new Array();
		equipdiv=document.querySelector("#eqsb");
		equipdiv=eqmthh(equipdiv)
		document.querySelector("#eqsb").innerHTML = equipdiv;
		break;

		case 3: //装备店3
		var torep = new Array();
		var repby = new Array();

		equipdiv=document.querySelectorAll(".equiplist");
		temp=eqmthh(equipdiv[0])
		equipdiv[0].innerHTML=temp
		temp=eqmthh(equipdiv[1])
		equipdiv[1].innerHTML=temp
		var equhide = document.createElement('a');
		equhide.style.cssText = "font-size:15px;color:red; position:absolute;top:630px; left:2px  ;text-align:left";
		try{

		if(!localStorage.hideflag){localStorage.hideflag=="隐藏锁定装备"}
		if(localStorage.hideflag=="显示锁定装备"){
		}
		else{
			equipdiv=document.querySelectorAll(".il")
			for(i = 0 ;i <equipdiv.length;i++) {
				equipdiv[i].parentNode.style.cssText = "display:none;"
			}
		}

			equhide.innerHTML="当前"+localStorage.hideflag
		}
		catch(e){alert(e)}
			equhide.onclick=function(){

			equipdiv=document.querySelectorAll(".il")
			if(localStorage.hideflag=="隐藏锁定装备"){
			localStorage.hideflag="显示锁定装备"
			for(i = 0 ;i <equipdiv.length;i++) {
				equipdiv[i].parentNode.style.cssText = "display:block;"
			}

			}
			else{
				localStorage.hideflag="隐藏锁定装备"
				for(i = 0 ;i <equipdiv.length;i++) {
					equipdiv[i].parentNode.style.cssText = "display:none;"
				}
			}
			this.innerHTML="当前"+localStorage.hideflag
		}

		document.body.appendChild(equhide);

		break;

		case 4: // 锻造店4
		var torep = new Array();
		var repby = new Array();
		equipdiv=document.querySelector("#item_pane");
		equipdiv=eqmthh(equipdiv)
		document.querySelector("#item_pane").innerHTML = equipdiv;
		break;

		case 5: //战斗道具5
		var torep = new Array();
		var repby = new Array();
		itemdiv=document.querySelector("#mainpane").innerHTML;
		item()
		itemdiv=yhanhua(torep,repby,itemdiv)
		document.querySelector("#mainpane").innerHTML = itemdiv;
		break;

		case 6: //iw
		var torep = new Array();
		var repby = new Array();
		equipdiv=document.querySelector("#item_pane");
		equipdiv=eqmthh(equipdiv)
		document.querySelector("#item_pane").innerHTML = equipdiv;
		break;
		case 7: //论坛
		var torep = new Array();
		var repby = new Array();
		equipdiv=document.getElementsByClassName('postcolor');
		for (var ii=0; ii<equipdiv.length ; ii++ ){

			tempequipment=equipdiv[ii]
			tempequipment.innerHTML=tempequipment.innerHTML.replace(/<span [^>]+>[^>]+>/g,"")
			tempequipment.innerHTML=tempequipment.innerHTML.replace(/<!--[/]?color[^>]+>/g,"")
			tempequipment.innerHTML=tempequipment.innerHTML.replace(/<[/]*b>/g,"")
			tempequipment=eqmthh(tempequipment)
			item()
			tempequipment=yhanhua(torep,repby,tempequipment);
			document.getElementsByClassName('postcolor')[ii].innerHTML = tempequipment;
		}
		break;
		case 8: //武器彩卷
		var torep = new Array();
		var repby = new Array();
		equipdiv=document.querySelector("#leftpane");
		equipdiv=eqmthh(equipdiv)
		document.querySelector("#leftpane").innerHTML = equipdiv;
		break;
		case 9: //防具彩卷
		var torep = new Array();
		var repby = new Array();
		equipdiv=document.querySelector("#leftpane");
		equipdiv=eqmthh(equipdiv)
		document.querySelector("#leftpane").innerHTML = equipdiv;
		break;
		case 10: //强化
		var torep = new Array();
		var repby = new Array();
		equipdiv=document.querySelector("#leftpane");
		equipdiv=eqmthh(equipdiv)
		document.querySelector("#leftpane").innerHTML = equipdiv;
		break;
		case 11: //附魔
		var torep = new Array();
		var repby = new Array();
		equipdiv=document.querySelector("#leftpane");
		equipdiv=eqmthh(equipdiv)
		document.querySelector("#leftpane").innerHTML = equipdiv;
		break;
		case 12: //锻造
		var torep = new Array();
		var repby = new Array();
		if(equipdiv= document.getElementById("upgrade_button"))equipdiv.style.cssText ="position:relative; top:20px; ";
		equipdiv=document.querySelector("#item_pane");
		equipdiv=eqmthh(equipdiv)
		document.querySelector("#item_pane").innerHTML = equipdiv;
		break;
        default:
	}

	function yhanhua(torep,repby,temp){    //源语句，汉化后语句，汉化变量
		for (var i=0; i<torep.length; i++){
			var regex = new RegExp(torep[i],'g');
			temp = temp.replace(regex, repby[i]);
		}
		return temp
	}
	function item(){
//物品说明

}

function eqmthh(eminn){
	try{
		if(document.location.href.match("https://hentaiverse.org/equip/"))
		{

			temp=document.querySelectorAll(".fcb")
			
			if(temp.length==2)em=temp[0].textContent+" "+temp[1].textContent.replace("The","the")
				else em=temp[0].textContent
			}
		else em=eminn.innerHTML.match(/([>]|[>\[\]0-9A-Z]+)(Fine|Super|Exquisite|Average|Crude|Fair|Magnificent|Legendary|Peerless)[a-zA-Z- ]*/g)
	}
catch(e){}
if(em==null)return eminn.innerHTML
var eqc1 = new Array();	
var eqc2 = new Array();	
var eqc3 = new Array();	
var eqc4 = new Array();
var eqac = new Array();	
var eqe1 = new Array();	
var eqe2 = new Array();
var eqe3 = new Array();
var eqe4 = new Array();
var eqae = new Array();
var emc = new Array();
var eqe5 = new Array();
var eqc5 = new Array();
eq1()
eq2()
eq3()
eq4()
eq5()

if(document.location.href.match("https://hentaiverse.org/equip/"))
{	

	try{	
		e1=eqc(em,eqe1)
		e2=eqc(em,eqe2)
		e3=eqc(em,eqe3)
		e4=eqc(em,eqe4)
		e5=eqc(em,eqe5)
		emc[0]=eqc1[e1]+' '+eqc2[e2]+' '+eqc3[e3]+' '+eqc4[e4]+' '+eqc5[e5]+'</span>'
		tempeq=eminn.innerHTML
		if(temp.length==2){
			tempeq=tempeq.replace(temp[0].textContent,"")
			tempeq=tempeq.replace(temp[1].textContent,emc[0])
		}
		else tempeq=tempeq.replace(temp[0].textContent,emc[0])
	}catch(e){}
}
else
{
	for (var i=0;i<em.length;i++){
		emtemp=em[i].replace("The","the")
		e1=eqc(emtemp,eqe1)
		e2=eqc(emtemp,eqe2)
		e3=eqc(emtemp,eqe3)
		e4=eqc(emtemp,eqe4)
		e5=eqc(emtemp,eqe5)
		emc[i]=eqc1[e1]+' '+eqc2[e2]+' '+eqc3[e3]+' '+eqc4[e4]+' '+eqc5[e5]+'</span>'
	}
	tempeq=eminn.innerHTML
	for(i=0;i<emc.length; i++)	{
		tempeq=tempeq.replace(em[i],'>'+emc[i])
	}
}

	eqa()  //道具加载
	for(i=0;i<eqae.length; i++){
		var regex = new RegExp(eqae[i],'g');
		tempeq = tempeq.replace(regex, eqac[i]);
	}
	return tempeq

function eqc(temp,eqeq){   //temp 输入装备名称，eqeq列表英文
	temps=temp
	for(j=0;j<eqeq.length;j++){
		aaa=temps.match(eqeq[j])
		if(aaa!=null) return j;
	}
	return 0
}

function eqa(){

//////////////////////////装备属性

//////////////////////////道具界属性


}

function eq5(){

	eqe5 = eqe5.concat('ddsezxcwer')
    eqc5 = eqc5.concat('');  //如果出现问号绝对有问题
    //盾
    eqe5 = eqe5.concat('Buckler');
    eqc5 = eqc5.concat('');

    eqe5 = eqe5.concat('Kite Shield');
    eqc5 = eqc5.concat('');

    eqe5 = eqe5.concat('Tower Shield');
    eqc5 = eqc5.concat('');

    // 单手武器类
    eqe5 = eqe5.concat('Dagger');
    eqc5 = eqc5.concat('匕首(单)');

    eqe5 = eqe5.concat('Shortsword');
    eqc5 = eqc5.concat('短剑(单)');

    eqe5 = eqe5.concat('Wakizashi');
    eqc5 = eqc5.concat('脇差(单)');

    eqe5 = eqe5.concat('Axe');
    eqc5 = eqc5.concat('斧(单)');

    eqe5 = eqe5.concat('Club');
    eqc5 = eqc5.concat('棍(单)');

    eqe5 = eqe5.concat('Rapier');
    eqc5 = eqc5.concat('<span style=\"background:#ffa500\" >西洋剑</span>(单)');

    //双手
    eqe5 = eqe5.concat('Longsword');
    eqc5 = eqc5.concat('长剑(双)');

    eqe5 = eqe5.concat('Scythe');
    eqc5 = eqc5.concat('镰刀(双)');

    eqe5 = eqe5.concat('Katana');
    eqc5 = eqc5.concat('日本刀(双)');

    eqe5 = eqe5.concat('Mace');
    eqc5 = eqc5.concat('锤矛(双)');

    eqe5 = eqe5.concat('Estoc');
    eqc5 = eqc5.concat('刺剑(双)');

	//法杖
	eqe5 = eqe5.concat('Staff');
	eqc5 = eqc5.concat('法杖');
    //布甲
    eqe5 = eqe5.concat('Cap');
    eqc5 = eqc5.concat('兜帽');

    eqe5 = eqe5.concat('Robe');
    eqc5 = eqc5.concat('长袍');

    eqe5 = eqe5.concat('Gloves');
    eqc5 = eqc5.concat('手套');

    eqe5 = eqe5.concat('Pants');
    eqc5 = eqc5.concat('裤子');

    eqe5 = eqe5.concat('Shoes');
    eqc5 = eqc5.concat('鞋子');
    //轻甲

    eqe5 = eqe5.concat('Helmet');
    eqc5 = eqc5.concat('头盔');

    eqe5 = eqe5.concat('Breastplate');
    eqc5 = eqc5.concat('护胸');

    eqe5 = eqe5.concat('Gauntlets');
    eqc5 = eqc5.concat('护手');

    eqe5 = eqe5.concat('Leggings');
    eqc5 = eqc5.concat('绑腿');

    //重甲

    eqe5 = eqe5.concat('Cuirass');
    eqc5 = eqc5.concat('胸甲');

    eqe5 = eqe5.concat('Armor');
    eqc5 = eqc5.concat('盔甲');

    eqe5 = eqe5.concat('Sabatons');
    eqc5 = eqc5.concat('马靴');

    eqe5 = eqe5.concat('Boots');
    eqc5 = eqc5.concat('靴子');

    eqe5 = eqe5.concat('Greaves');
    eqc5 = eqc5.concat('护胫');
}

function eq4(){
/////////////////////////////盾或者材料,武器不会出现这个
    eqe4 = eqe4.concat('ddsezxcwer');//防止空缺
    eqc4 = eqc4.concat('');

    //盾
    eqe4 = eqe4.concat('Buckler');
    eqc4 = eqc4.concat('小圆盾');

    eqe4 = eqe4.concat('Kite Shield');
    eqc4 = eqc4.concat('鸢盾');

    eqe4 = eqe4.concat('Tower Shield');
    eqc4 = eqc4.concat('塔盾');

    eqe4 = eqe4.concat('Force Shield');
    eqc4 = eqc4.concat('<span style=\"background:#ffa500\" >力场盾</span>');
    ////////////////////////材质前缀////////////////////////

    //布甲
    eqe4 = eqe4.concat('Cotton');
    eqc4 = eqc4.concat('棉质</span><span style=\"background:#FFFFFF;color:#000000\" >(布)</span>');

    eqe4 = eqe4.concat('Gossamer');
    eqc4 = eqc4.concat('薄纱</span><span style=\"background:#FFFFFF;color:#000000\" >(布)</span>');

    eqe4 = eqe4.concat('Phase');
    eqc4 = eqc4.concat('<span style=\"background:#ffa500\" >相位</span><span style=\"background:#FFFFFF;color:#000000\" >(布)</span>');

    //轻甲
    eqe4 = eqe4.concat('Leather');
    eqc4 = eqc4.concat('皮革<span style=\"background:#666666;color:#FFFFFF\" >(轻)</span>');

    eqe4 = eqe4.concat('Kevlar');
    eqc4 = eqc4.concat('凯夫拉<span style=\"background:#666666;color:#FFFFFF\" >(轻)</span>');

    eqe4 = eqe4.concat('Shade');
    eqc4 = eqc4.concat('<span style=\"background:#ffa500\" >暗影</span><span style=\"background:#666666;color:#FFFFFF\" >(轻)</span>');
    //重甲
    eqe4 = eqe4.concat('Plate');
    eqc4 = eqc4.concat('板甲<span style=\"background:#000000;color:#FFFFFF\" >(重)</span>');

    eqe4 = eqe4.concat('Power');
    eqc4 = eqc4.concat('<span style=\"background:#ffa500\" >动力</span><span style=\"background:#000000;color:#FFFFFF\" >(重)</span>');

    //法杖
    eqe4 = eqe4.concat('Ebony');
    eqc4 = eqc4.concat('*乌木');

    eqe4 = eqe4.concat('Redwood');
    eqc4 = eqc4.concat('红木(元素熟练/法伤+)');

    eqe4 = eqe4.concat('Willow');
    eqc4 = eqc4.concat('<span style=\"background:#ffa500\" >柳木</span>(减益熟练+暗法伤+)');

    eqe4 = eqe4.concat('Oak');
    eqc4 = eqc4.concat('橡木(增益熟练+圣法伤+)');

    eqe4 = eqe4.concat('Katalox');
    eqc4 = eqc4.concat('铁木(圣暗熟练/法伤+)');
}
function eq3(){

    eqe3 = eqe3.concat('adfouhasd')//防止空缺
    eqc3 = eqc3.concat('')

///////////////////////////////////////////防具后缀////////////////////////////////////////////

eqe3 = eqe3.concat('of the Cheetah')
eqc3 = eqc3.concat('猎豹')

eqe3 = eqe3.concat('of Negation')
eqc3 = eqc3.concat('否定(抵抗+)')

eqe3 = eqe3.concat('of the Shadowdancer')
eqc3 = eqc3.concat('影武者(闪避/攻暴+)')

eqe3 = eqe3.concat('of the Arcanist')
eqc3 = eqc3.concat('秘法(智力/智慧/法命+)')

eqe3 = eqe3.concat('of the Fleet')
eqc3 = eqc3.concat('迅捷(闪避+)')

eqe3 = eqe3.concat('Spirit-ward')
eqc3 = eqc3.concat('魂佑')

eqe3 = eqe3.concat('of the Fire-eater')
eqc3 = eqc3.concat('噬火者')

eqe3 = eqe3.concat('Fire-eater')
eqc3 = eqc3.concat('噬火者')

eqe3 = eqe3.concat('of the Thunder-child')
eqc3 = eqc3.concat('雷之子')

eqe3 = eqe3.concat('of the Wind-waker')
eqc3 = eqc3.concat('唤风者')

eqe3 = eqe3.concat('of the Spirit-ward')
eqc3 = eqc3.concat('魂佑')

eqe3 = eqe3.concat('of Dampening')
eqc3 = eqc3.concat('抑制(打减伤+)')

eqe3 = eqe3.concat('of Stoneskin')
eqc3 = eqc3.concat('石肤(斩减伤+)')

eqe3 = eqe3.concat('of Deflection')
eqc3 = eqc3.concat('偏转(刺减伤+)')

eqe3 = eqe3.concat('of the Nimble');
eqc3 = eqc3.concat('灵活(招架+)');

eqe3 = eqe3.concat('of the Barrier')
eqc3 = eqc3.concat('屏障(格挡+)')

eqe3 = eqe3.concat('of Protection')
eqc3 = eqc3.concat('保护(物减伤+)')

eqe3 = eqe3.concat('of Warding')
eqc3 = eqc3.concat('护佑(魔减伤+)')

eqe3 = eqe3.concat('of the Raccoon')
eqc3 = eqc3.concat('小浣熊')

eqe3 = eqe3.concat('of the Frost-born')
eqc3 = eqc3.concat('冰诞者')

////////////////////////////////////////////////////武器后缀/////////////////////////////////

eqe3 = eqe3.concat('of Slaughter');
eqc3 = eqc3.concat('<span style=\"background:#FF0000;color:#FFFFFF\" >杀戮(攻击+)</span>');

eqe3 = eqe3.concat('of Swiftness');
eqc3 = eqc3.concat('加速(攻速+)');

eqe3 = eqe3.concat('of Balance');
eqc3 = eqc3.concat('平衡(攻命攻暴+)');

eqe3 = eqe3.concat('of the Battlecaster');
eqc3 = eqc3.concat('战法师(魔耗-魔命+)');

eqe3 = eqe3.concat('of the Banshee');
eqc3 = eqc3.concat('女妖(+吸灵)');

eqe3 = eqe3.concat('of the Illithid');
eqc3 = eqc3.concat('汲灵(+吸魔)');

eqe3 = eqe3.concat('of the Vampire');
eqc3 = eqc3.concat('吸血鬼(+吸血)');

eqe3 = eqe3.concat('of Destruction')
eqc3 = eqc3.concat('<span style=\"background:#9400d3;color:#FFFFFF\" >毁灭(法伤+)</span>')

eqe3 = eqe3.concat('of Surtr')
eqc3 = eqc3.concat('<span style=\"background:#f97c7c\;color:#000000" >苏尔特(火法伤+)</span>')

eqe3 = eqe3.concat('of Niflheim')
eqc3 = eqc3.concat('<span style=\"background:#94c2f5\" >尼芙菲姆(冰法伤+)</span>')

eqe3 = eqe3.concat('of Mjolnir')
eqc3 = eqc3.concat('<span style=\"background:#f4f375\" >姆乔尔尼尔(电法伤+)</span>')

eqe3 = eqe3.concat('of Freyr')
eqc3 = eqc3.concat('<span style=\"background:#7ff97c\" >弗瑞尔(风法伤+)</span>')

eqe3 = eqe3.concat('of Heimdall')
eqc3 = eqc3.concat('<span style=\"background:#ffffff\;color:#000000\" >海姆达(圣法伤+)</span>')

eqe3 = eqe3.concat('of Fenrir')
eqc3 = eqc3.concat('<span style=\"background:#000000\;color:#ffffff" >芬里尔(暗法伤+)</span>')

eqe3 = eqe3.concat('of Focus')
eqc3 = eqc3.concat('专注(法暴法命+魔耗-)')

eqe3 = eqe3.concat('of the Elementalist')
eqc3 = eqc3.concat('元素使(元素熟练+)')

eqe3 = eqe3.concat('of the Heaven-sent')
eqc3 = eqc3.concat('天堂(神圣熟练+)')

eqe3 = eqe3.concat('of the Demon-fiend')
eqc3 = eqc3.concat('恶魔(黑暗熟练+)')

eqe3 = eqe3.concat('of the Earth-walker')
eqc3 = eqc3.concat('地行者(增益熟练+)')

eqe3 = eqe3.concat('of the Priestess')
eqc3 = eqc3.concat('牧师')

eqe3 = eqe3.concat('of the Curse-weaver')
eqc3 = eqc3.concat('织咒者(减益熟练+)')

eqe3 = eqe3.concat('of the Thrice-blessed')
eqc3 = eqc3.concat('三重祝福')

}

function eq2(){


///////////////武器或者防具属性/////////////////

    eqe2 = eqe2.concat('dfgdsfgsdge');//防止空缺
    eqc2 = eqc2.concat('');

    eqe2 = eqe2.concat('Radiant');
    eqc2 = eqc2.concat('<span style=\"background:#ffffff\;color:#000000" >✪魔光的✪(法伤+)</span>');

    eqe2 = eqe2.concat('Mystic');
    eqc2 = eqc2.concat('神秘的(法暴伤+)');

    eqe2 = eqe2.concat('Charged');
    eqc2 = eqc2.concat('<span style=\"color:red\" >充能的(施速+)</span>');

    eqe2 = eqe2.concat('Amber');
    eqc2 = eqc2.concat('<span style=\"background:#ffff00\;color:#9f9f16" >琥珀的(电抗+)</span>');

    eqe2 = eqe2.concat('Mithril');
    eqc2 = eqc2.concat('<span style=\"color:red\" >秘银的(负重-20%)</span>');

    eqe2 = eqe2.concat('Agile');
    eqc2 = eqc2.concat('俊敏的(攻速+)');

    eqe2 = eqe2.concat('Zircon');
    eqc2 = eqc2.concat('<span style=\"background:#ffffff\;color:#5c5a5a" >锆石的(圣抗+)</span>');

    eqe2 = eqe2.concat('Frugal');
    eqc2 = eqc2.concat('<span style=\"color:red\" >节能的(魔耗-)</span>');

    eqe2 = eqe2.concat('Jade');
    eqc2 = eqc2.concat('<span style=\"background:#b1f9b1\" >翡翠的(风抗+)</span>');

    eqe2 = eqe2.concat('Cobalt');
    eqc2 = eqc2.concat('<span style=\"background:#a0f4f4\" >冰蓝的(冰抗+)</span>');

    eqe2 = eqe2.concat('Ruby');
    eqc2 = eqc2.concat('<span style=\"background:#ffa6a6\;color:#000000" >红宝石(火抗+)</span>');

    eqe2 = eqe2.concat('Astral');
    eqc2 = eqc2.concat('五芒星的');

    eqe2 = eqe2.concat('Onyx');
    eqc2 = eqc2.concat('<span style=\"background:#cccccc\" >缟玛瑙(暗抗+)</span>');

    eqe2 = eqe2.concat('Savage');
    eqc2 = eqc2.concat('<span style=\"color:red\" >野蛮的(攻暴伤+)</span>');

    eqe2 = eqe2.concat('Reinforced');
    eqc2 = eqc2.concat('加固的(斩打刺减伤+)');

    eqe2 = eqe2.concat('Shielding');
    eqc2 = eqc2.concat('盾化的(格挡+)');

    eqe2 = eqe2.concat('Arctic')
    eqc2 = eqc2.concat('<span style=\"background:#94c2f5\" >极寒之(冰法伤+)</span>')

    eqe2 = eqe2.concat('Fiery')
    eqc2 = eqc2.concat('<span style=\"background:#f97c7c\;color:#000000" >灼热之(火法伤+)</span>')

    eqe2 = eqe2.concat('Shocking')
    eqc2 = eqc2.concat('<span style=\"background:#f4f375\" >闪电之(电法伤+)</span>')

    eqe2 = eqe2.concat('Tempestuous')
    eqc2 = eqc2.concat('<span style=\"background:#7ff97c\" >风暴之(风法伤+)</span>')

    eqe2 = eqe2.concat('Hallowed')
    eqc2 = eqc2.concat('<span style=\"background:#ffffff\;color:#000000" >神圣之(圣法伤+)</span>')

    eqe2 = eqe2.concat('Demonic')
    eqc2 = eqc2.concat('<span style=\"background:#000000\;color:#ffffff" >恶魔之(暗法伤+)</span>')

    eqe2 = eqe2.concat('Ethereal')
    eqc2 = eqc2.concat('<span style=\"background:#ffffff\;color:#5c5a5a" >虚空之(无负重/干涉)</span>')

}
function eq1()
{
    /////////////////品质//////////
    eqe1 = eqe1.concat('Flimsy');
    eqc1 = eqc1.concat('<span style=\"background:#848482\" >脆弱</span>');
    eqe1 = eqe1.concat('Crude');
    eqc1 = eqc1.concat('<span style=\"background:#acacac\" >粗糙</span>');
    eqe1 = eqe1.concat('Fair');
    eqc1 = eqc1.concat('<span style=\"background:#c1c1c1\" >普通</span>');
    eqe1 = eqe1.concat('Average');
    eqc1 = eqc1.concat('<span style=\"background:#dfdfdf\" >中等</span>');
    eqe1 = eqe1.concat('Superior');
    eqc1 = eqc1.concat('<span style=\"background:#fbf9f9\" >上等</span>');
    eqe1 = eqe1.concat('Fine');
    eqc1 = eqc1.concat('<span style=\"background:#b9ffb9\" >优质</span>');
    eqe1 = eqe1.concat('Exquisite');
    eqc1 = eqc1.concat('<span style=\"background:#d7e698\" >✧精良✧</span>');
    eqe1 = eqe1.concat('Magnificent');
    eqc1 = eqc1.concat('<span style=\"background:#a6daf6\" >☆史诗☆</span>');
    eqe1 = eqe1.concat('Legendary');
    eqc1 = eqc1.concat('<span style=\"background:#ffbbff\" >✪传奇✪</span>');
    eqe1 = eqe1.concat('Peerless');
    eqc1 = eqc1.concat('<span style=\"background:#ffd760\" >☯无双☯</span>');
}
}
}